System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.HtmlControls.HtmlInputControl System.Web.UI.IPostBackDataHandler System.Web.UI.SupportsEventValidation System.Web.UI.ValidationProperty("Value") System.ComponentModel.DefaultEvent("ServerChange")

Use the control to create a single-line text box that allows the user to enter text or a password. The property specifies the maximum number of characters that can be entered in the text box. The property allows you to specify the width of the text box. To determine the value entered by the user into text box, use the property. The control provides a event that is raised when the property changes values between posts to the server. This allows you to create an event handler that performs a custom set of instructions each time the event is raised.

The control does not provide a built-in way to post back to the server. You must provide another control on the Web page that supports posting to the server, such as an control, to send the value of the control back to the server.

To create a multi-line text box, use the control.

For a list of initial property values for an instance of , see the constructor.

Allows programmatic access to the HTML <input type= text> and <input type= password> elements on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the control using default values. It creates a text type text box control.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The "text" literal string.

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the control using the specified input control type. It allows you to create a specific type of text box control, such as password. Only the password or text type is currently supported. This constructor is designed to allow you to create other text box types if they become available.

  The following table shows the initial property value for an instance of .

  Property

  Initial Value

  The value of the parameter.

  Although you can use this constructor to create a text type text box control, the default constructor is commonly used instead.

  Initializes a new instance of the class using the specified input control type.

  The type of input control.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` ``

  The method checks to see whether the postback value of the control is different from its previous value, and if so, returns true.

  The method is used primarily by control developers extending the functionality of the control.

  Processes the postback data for the control.

  true if the control's state has changed as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to specify or determine the maximum number of characters that can be entered in the text box.

  Gets or sets the maximum number of characters that can be entered in the text box.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue("")
- Method
  System.Void ``

  The method is called just prior to rendering the control. The method is used primarily by control developers extending the functionality of the control.

  Raises the event.

  An that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event is raised when the property is changed on the server.

  The control must have view state enabled for the event to work correctly.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains event data. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  The method is used primarily by control developers extending the functionality of the control.

  Calls the method to signal the control that the state of the control has changed.

- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added

  Renders the control's attributes to the specified object.

  The that contains the output stream to render on the client. 1.0.5000.0 2.0.0.0
- Event
  System.EventHandler

  The event is raised when the property is changed on the server.

  The control must have view state enabled for the event to work correctly.

  For more information about handling events, see Consuming Events.

  Occurs when the property is changed on the server.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to specify or determine the width of the text box, in characters.

  Gets or sets the width of the text box.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.DefaultValue(-1)
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added.

  Implements the interface method by calling the method.

  true if the control's state has changed as a result of the postback; otherwise, false.

  The key identifier for the control. The collection of all incoming name values.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Implements the interface method by calling the method.

- Property
  System.String a

  Use the property to programmatically determine the text entered by the user into the text box. You can also use this property to provide default text for the text box.

  If you specify a value for a password type control, that value is not displayed in the text box.

  Gets or sets the contents of the text box.

  1.0.5000.0
  2.0.0.0